<!DOCTYPE <!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Rubrica</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="style.css">
</head>
<body onload="check()">
   
    <h3>Utenti:</h3>
    <table>
        <thead>        
            <tr><td></td><td>Cognome</td><td>Nome</td></tr>
        </thead>
        <tbody>
            <tr><td><form id="form1" target="_self" action="#" method="GET">
                <a onclick="form1.submit(); return false;" href="javascript:{}">1</a>
                <input name="ID" type="hidden" value="1"></td>
                <td><input name="Nome" type="hidden" value="Alessandro">Alessandro</td>
                <td><input name="Cognome" type="hidden" value="Doria">Doria</td>
                    <input name="Email" type="hidden" value="alessandro_doria@yahoo.it">
                    <input name="Telephone" type="hidden" value="347.4685736">
                    <input name="Hobbies" type="hidden" value="Rugby">
                    <input name="Picture" type="hidden" value="Doria.jpg"></td>
            </form></tr> 

            <tr><td><form id="form2" target="_self" action="#" method="GET">
                    <a onclick="form2.submit(); return false;" href="javascript:{}">2</a>
                    <input name="ID" type="hidden" value="2"></td>
                    <td><input name="Nome" type="hidden" value="Niccolò">Niccolò</td>
                    <td><input name="Cognome" type="hidden" value="Oro">Oro</td>
                        <input name="Email" type="hidden" value="niccolo.oro@gmail.com">
                        <input name="Telephone" type="hidden" value="123.4567890">
                        <input name="Hobbies" type="hidden" value="Scout">
                        <input name="Picture" type="hidden" value="Oro.jpg"></td>
            </form></tr> 

            <tr><td><form id="form3" target="_self" action="#" method="GET">
                    <a onclick="form3.submit(); return false;" href="javascript:{}">3</a>
                    <input name="ID" type="hidden" value="3"></td>
                    <td><input name="Nome" type="hidden" value="Greta">Greta</td>
                    <td><input name="Cognome" type="hidden" value="Pironio">Pironio</td>
                        <input name="Email" type="hidden" value="greta.pironio@gmail.com">
                        <input name="Telephone" type="hidden" value="321.9876543">
                        <input name="Hobbies" type="hidden" value="Farmacia">
                        <input name="Picture" type="hidden" value="Pironio.jpg"></td>
            </form></tr>        

            <tr><td><form id="form4" target="_self" action="#" method="GET">
                    <a onclick="form4.submit(); return false;" href="javascript:{}">4</a>
                    <input name="ID" type="hidden" value="4"></td>
                    <td><input name="Nome" type="hidden" value="Tamara">Tamara</td>
                    <td><input name="Cognome" type="hidden" value="Coslovich">Coslovich
                        <input name="Email" type="hidden" value="coslovich.tamara@gmail.com">
                        <input name="Telephone" type="hidden" value="333.6666666">
                        <input name="Hobbies" type="hidden" value="Clarinetto">
                        <input name="Picture" type="hidden" value="Coslovich.jpg"></td>
            </form></tr>        

            <tr><td><form id="form5" target="_self" action="#" method="GET">
                    <a onclick="form5.submit(); return false;" href="javascript:{}">5</a>
                    <input name="ID" type="hidden" value="5"></td>
                    <td><input name="Nome" type="hidden" value="Anton">Anton</td>
                    <td><input name="Cognome" type="hidden" value="Vasilache">Vasilache
                        <input name="Email" type="hidden" value="vasilache.anton@gmail.com">
                        <input name="Telephone" type="hidden" value="666.6666666">
                        <input name="Hobbies" type="hidden" value="Videogiochi">
                        <input name="Picture" type="hidden" value="Vasilache.jpg"></td>
            </form></tr>        
        </tbody>
    </table>
    
    <br>
    <div id="detail" style="visibility:hidden">
        <h3>Dettagli</h3>
        <table border="1">
            <thead>        
                <tr><td style="text-align: center" colspan="2" id="dNomeCognome">Nome Cognome</td></tr>
            </thead>
            <tbody>
                <tr><td rowspan="3"><img id="dPicture" style="height: 150px;" src="images/picture.jpg"></td><td id="dTelephone">Tel.</td></tr>
                <tr><td id="dEmail">Email</td></tr>
                <tr><td colspan="2" id="dHobbies">Hobbies</td></tr>
            </tbody>
        </table>
    </div>

    <script>
        function findGetParameter(parameterName) {
            var result = null,
                tmp = [];
            var items = location.search.substr(1).split("&");
            for (var index = 0; index < items.length; index++) {
                tmp = items[index].split("=");
                if (tmp[0] === parameterName) result = decodeURIComponent(tmp[1]);
            }
            return result;
        }

        function check()
        {
            if (findGetParameter("ID") != null)
            {
                document.getElementById('dNomeCognome').innerHTML = findGetParameter("Nome") + ' ' + findGetParameter("Cognome");
                document.getElementById('dTelephone').innerHTML = "Telephone: " + findGetParameter("Telephone");
                document.getElementById('dEmail').innerHTML = "Email: " + findGetParameter("Email");
                if (document.getElementById('dPicture'))
                    document.getElementById('dPicture').src = 'images/' + findGetParameter("Picture");
                else
                    document.getElementById('dPicture').src = 'images/picture.jpg';
                document.getElementById('dHobbies').innerHTML = "Hobbies: " + findGetParameter("Hobbies");
                document.getElementById('detail').style.visibility = 'visible';
            }
        }
    </script>
</body>

</html>